/*
 * t38mf.cxx
 *
 * T.38 Media Format descriptions
 *
 * Open Phone Abstraction Library
 * Formally known as the Open H323 project.
 *
 * Copyright (c) 2008 Vox Lucida
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Open Phone Abstraction Library
 *
 * The Initial Developer of the Original Code is Vox Lucida
 *
 * Contributor(s): ______________________________________.
 *
 * $Revision: 20077 $
 * $Author: rjongbloed $
 * $Date: 2008-04-23 00:48:26 +0000 (Wed, 23 Apr 2008) $
 */

#include <ptlib.h>

#include <opal/mediafmt.h>


#define new PNEW


/////////////////////////////////////////////////////////////////////////////

const OpalMediaFormat & GetOpalT38()
{
  static const OpalMediaFormat T38(OPAL_T38,
                                   OpalMediaFormat::DefaultDataSessionID,
                                   RTP_DataFrame::IllegalPayloadType,
                                   "t38",
                                   false, // No jitter for data
                                   1440, // 100's bits/sec
                                   0,
                                   0,
                                   0);
  return T38;
}


// End of File ///////////////////////////////////////////////////////////////
